# This file was created by configpm when Perl was built. Any changes
# made to this file will be lost the next time perl is built.

package Config;
use strict;
# use warnings; Pulls in Carp
# use vars pulls in Carp

sub _V {
    my ($bincompat, $non_bincompat, $date, @patches) = Internals::V();

    my $opts = join ' ', sort split ' ', "$bincompat $non_bincompat";

    # wrap at 76 columns.

    $opts =~ s/(?=.{53})(.{1,53}) /$1\n                        /mg;

    print Config::myconfig();
    if ($^O eq 'VMS') {
        print "\nCharacteristics of this PERLSHR image: \n";
    } else {
        print "\nCharacteristics of this binary (from libperl): \n";
    }

    print "  Compile-time options: $opts\n";

    if (@patches) {
        print "  Locally applied patches:\n";
        print "\t$_\n" foreach @patches;
    }

    print "  Built under $^O\n";

    print "  $date\n" if defined $date;

    my @env = map { "$_=\"$ENV{$_}\"" } sort grep {/^PERL/} keys %ENV;
    push @env, "CYGWIN=\"$ENV{CYGWIN}\"" if $^O eq 'cygwin';

    if (@env) {
        print "  \%ENV:\n";
        print "    $_\n" foreach @env;
    }
    print "  \@INC:\n";
    print "    $_\n" foreach @INC;
}

#

our $summary = <<'!END!';
Summary of my $package (revision $revision $version_patchlevel_string) configuration:
  $git_commit_id_title $git_commit_id$git_ancestor_line
  Platform:
    osname=$osname, osvers=$osvers, archname=$archname
    uname='$myuname'
    config_args='$config_args'
    hint=$hint, useposix=$useposix, d_sigaction=$d_sigaction
    useithreads=$useithreads, usemultiplicity=$usemultiplicity
    useperlio=$useperlio, d_sfio=$d_sfio, uselargefiles=$uselargefiles, usesocks=$usesocks
    use64bitint=$use64bitint, use64bitall=$use64bitall, uselongdouble=$uselongdouble
    usemymalloc=$usemymalloc, bincompat5005=undef
  Compiler:
    cc='$cc', ccflags ='$ccflags',
    optimize='$optimize',
    cppflags='$cppflags'
    ccversion='$ccversion', gccversion='$gccversion', gccosandvers='$gccosandvers'
    intsize=$intsize, longsize=$longsize, ptrsize=$ptrsize, doublesize=$doublesize, byteorder=$byteorder
    d_longlong=$d_longlong, longlongsize=$longlongsize, d_longdbl=$d_longdbl, longdblsize=$longdblsize
    ivtype='$ivtype', ivsize=$ivsize, nvtype='$nvtype', nvsize=$nvsize, Off_t='$lseektype', lseeksize=$lseeksize
    alignbytes=$alignbytes, prototype=$prototype
  Linker and Libraries:
    ld='$ld', ldflags ='$ldflags'
    libpth=$libpth
    libs=$libs
    perllibs=$perllibs
    libc=$libc, so=$so, useshrplib=$useshrplib, libperl=$libperl
    gnulibc_version='$gnulibc_version'
  Dynamic Linking:
    dlsrc=$dlsrc, dlext=$dlext, d_dlsymun=$d_dlsymun, ccdlflags='$ccdlflags'
    cccdlflags='$cccdlflags', lddlflags='$lddlflags'

!END!
my $summary_expanded;

sub myconfig {
    return $summary_expanded if $summary_expanded;
    ($summary_expanded = $summary) =~ s{\$(\w+)}
		 { 
			my $c;
			if ($1 eq 'git_ancestor_line') {
				if ($Config::Config{git_ancestor}) {
					$c= "\n  Ancestor: $Config::Config{git_ancestor}";
				} else {
					$c= "";
				}
			} else {
                     		$c = $Config::Config{$1}; 
			}
			defined($c) ? $c : 'undef' 
		}ge;
    $summary_expanded;
}

local *_ = \my $a;
$_ = <<'!END!';
CONFIG='true'
Mcc='Mcc'
PATCHLEVEL='12'
PERL_API_REVISION='5'
PERL_API_SUBVERSION='3'
PERL_API_VERSION='12'
PERL_CONFIG_SH='true'
PERL_PATCHLEVEL=''
PERL_REVISION='5'
PERL_SUBVERSION='3'
PERL_VERSION='12'
SUBVERSION='3'
_a='.a'
_exe=''
_o='.o'
afs='false'
afsroot='/afs'
alignbytes='8'
ansi2knr=''
aphostname='/bin/hostname'
api_revision='5'
api_subversion='3'
api_version='12'
api_versionstring='5.12.3'
ar='/opt/toolchains/uclibc-crosstools/bin/mips-uclibc-ar'
archlib='/var/mounts/sda1/opt/perl/lib/perl/arch'
archlibexp='/var/mounts/sda1/opt/perl/lib/perl/arch'
archname64=''
archname='mips-linux'
archobjs=''
asctime_r_proto='0'
awk='awk'
baserev='5.0'
bash=''
bin='/var/mounts/sda1/opt/perl/bin'
binexp='/var/mounts/sda1/opt/perl/bin'
bison='bison'
byacc='byacc'
byteorder='4321'
c=''
castflags='0'
cat='cat'
cc='/opt/toolchains/uclibc-crosstools/bin/mips-uclibc-gcc'
cccdlflags='-fPIC'
ccdlflags='-Wl,-E'
ccflags='-I/opt/toolchains/uclibc-crosstools/include/c++/3.4.2     -I/opt/toolchains/uclibc-crosstools/mips-linux/sys-include  -D_POSIX_C_SOURCE -D_XOPEN_SOURCE -D_GNU_SOURCE -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64'
ccflags_uselargefiles='-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64'
ccname=''
ccsymbols=''
ccversion=''
cf_by='root'
cf_email='root@debian.casa.mia'
cf_time='mar mag 17 09:19:31 CEST 2011'
chgrp=''
chmod='chmod'
chown=''
clocktype='clock_t'
comm='comm'
compress=''
config_arg0='cnf/configure'
config_argc='5'
config_args='--target=mips-linux --prefix=/var/mounts/sda1/opt/perl --mode=target --target=mips-linux --targetarch=mips-unknown-linux-gnu'
contains='grep'
cp='cp'
cpio=''
cpp='/opt/toolchains/uclibc-crosstools/bin/mips-uclibc-gcc -E'
cpp_stuff='42'
cppccsymbols=''
cppflags=''
cpplast='-'
cppminus='-'
cpprun='/opt/toolchains/uclibc-crosstools/bin/mips-uclibc-gcc -E'
cppstdin='/opt/toolchains/uclibc-crosstools/bin/mips-uclibc-gcc -E'
cppsymbols=''
crypt_r_proto='0'
cryptlib=''
csh='csh'
ctermid_r_proto='0'
ctime_r_proto='0'
d_Gconvert='sprintf((b),"%.*g",(n),(x))'
d_PRIEUldbl='undef'
d_PRIFUldbl='undef'
d_PRIGUldbl='undef'
d_PRIXU64='undef'
d_PRId64='undef'
d_PRIeldbl='undef'
d_PRIfldbl='undef'
d_PRIgldbl='undef'
d_PRIi64='undef'
d_PRIo64='undef'
d_PRIu64='undef'
d_PRIx64='undef'
d_SCNfldbl='undef'
d__fwalk='undef'
d_access='define'
d_accessx='undef'
d_aintl='undef'
d_alarm='define'
d_archlib='define'
d_asctime64='undef'
d_asctime_r='undef'
d_atolf='undef'
d_atoll='define'
d_attribute_deprecated='undef'
d_attribute_format='define'
d_attribute_malloc='define'
d_attribute_nonnull='define'
d_attribute_noreturn='define'
d_attribute_pure='define'
d_attribute_unused='define'
d_attribute_warn_unused_result='define'
d_bcmp='define'
d_bcopy='define'
d_bsd='undef'
d_bsdgetpgrp='undef'
d_bsdsetpgrp='undef'
d_builtin_choose_expr='define'
d_builtin_expect='undef'
d_bzero='define'
d_c99_variadic_macros='define'
d_casti32='undef'
d_castneg='define'
d_charvspr='undef'
d_chown='define'
d_chroot='define'
d_chsize='undef'
d_class='undef'
d_clearenv='define'
d_closedir='define'
d_cmsghdr_s='define'
d_const='define'
d_copysignl='define'
d_cplusplus='undef'
d_crypt='define'
d_crypt_r='undef'
d_csh='define'
d_ctermid='define'
d_ctermid_r='undef'
d_ctime64='undef'
d_ctime_r='undef'
d_cuserid='define'
d_dbl_dig='define'
d_dbminitproto='define'
d_difftime64='undef'
d_difftime='define'
d_dir_dd_fd='undef'
d_dirfd='define'
d_dirnamlen='undef'
d_dlerror='define'
d_dlopen='define'
d_dlsymun='undef'
d_dosuid='undef'
d_drand48_r='undef'
d_drand48proto='define'
d_dup2='define'
d_eaccess='undef'
d_endgrent='define'
d_endgrent_r='undef'
d_endhent='define'
d_endhostent_r='undef'
d_endnent='define'
d_endnetent_r='undef'
d_endpent='define'
d_endprotoent_r='define'
d_endpwent='define'
d_endpwent_r='undef'
d_endsent='define'
d_endservent_r='undef'
d_eofnblk='define'
d_eunice='undef'
d_faststdio='undef'
d_fchdir='define'
d_fchmod='define'
d_fchown='define'
d_fcntl='define'
d_fcntl_can_lock='undef'
d_fd_macros='undef'
d_fd_set='define'
d_fds_bits='undef'
d_fgetpos='define'
d_finite='define'
d_finitel='undef'
d_flexfnam='define'
d_flock='define'
d_flockproto='define'
d_fork='define'
d_fp_class='undef'
d_fpathconf='define'
d_fpclass='undef'
d_fpclassify='undef'
d_fpclassl='undef'
d_fpos64_t='define'
d_frexpl='undef'
d_fs_data_s='undef'
d_fseeko='define'
d_fsetpos='define'
d_fstatfs='define'
d_fstatvfs='define'
d_fsync='define'
d_ftello='define'
d_ftime='undef'
d_futimes='undef'
d_gdbm_ndbm_h_uses_prototypes='define'
d_gdbm_ndbm_h_uses_prototypes='define'
d_gdbmndbm_h_uses_prototypes='define'
d_gdbmndbm_h_uses_prototypes='define'
d_getaddrinfo='define'
d_getcwd='define'
d_getespwnam='undef'
d_getfsstat='undef'
d_getgrent='define'
d_getgrent_r='undef'
d_getgrgid_r='undef'
d_getgrnam_r='undef'
d_getgrps='define'
d_gethbyaddr='define'
d_gethbyname='define'
d_gethent='define'
d_gethname='define'
d_gethostbyaddr_r='undef'
d_gethostbyname_r='undef'
d_gethostent_r='undef'
d_gethostprotos='define'
d_getitimer='define'
d_getlogin='define'
d_getlogin_r='undef'
d_getmnt='undef'
d_getmntent='define'
d_getnameinfo='define'
d_getnbyaddr='define'
d_getnbyname='define'
d_getnent='define'
d_getnetbyaddr_r='undef'
d_getnetbyname_r='undef'
d_getnetent_r='undef'
d_getnetprotos='define'
d_getpagsz='define'
d_getpbyname='define'
d_getpbynumber='define'
d_getpent='define'
d_getpgid='define'
d_getpgrp2='undef'
d_getpgrp='define'
d_getppid='define'
d_getprior='define'
d_getprotobyname_r='define'
d_getprotobynumber_r='define'
d_getprotoent_r='define'
d_getprotoprotos='define'
d_getprpwnam='undef'
d_getpwent='define'
d_getpwent_r='undef'
d_getpwnam_r='undef'
d_getpwuid_r='undef'
d_getsbyname='define'
d_getsbyport='define'
d_getsent='define'
d_getservbyname_r='undef'
d_getservbyport_r='undef'
d_getservent_r='undef'
d_getservprotos='define'
d_getspnam='define'
d_getspnam_r='undef'
d_gettimeod='define'
d_gmtime64='undef'
d_gmtime_r='undef'
d_gnulibc='define'
d_grpasswd='define'
d_hasmntopt='define'
d_htonl='define'
d_ilogbl='undef'
d_inc_version_list='undef'
d_index='define'
d_inetaton='define'
d_inetntop='undef'
d_inetpton='undef'
d_int64_t='define'
d_isascii='define'
d_isfinite='define'
d_isinf='define'
d_isnan='define'
d_isnanl='undef'
d_killpg='define'
d_lchown='define'
d_ldbl_dig='define'
d_libm_lib_version='undef'
d_link='define'
d_localtime64='undef'
d_localtime_r='undef'
d_localtime_r_needs_tzset='undef'
d_locconv='define'
d_lockf='define'
d_longdbl='define'
d_longlong='define'
d_lseekproto='define'
d_lstat='define'
d_madvise='define'
d_malloc_good_size='undef'
d_malloc_size='undef'
d_mblen='define'
d_mbstowcs='define'
d_mbtowc='define'
d_memchr='define'
d_memcmp='define'
d_memcpy='define'
d_memmove='define'
d_memset='define'
d_mkdir='define'
d_mkdtemp='define'
d_mkfifo='define'
d_mkstemp='define'
d_mkstemps='undef'
d_mktime64='undef'
d_mktime='define'
d_mmap='define'
d_modfl='undef'
d_modfl_pow32_bug='undef'
d_modflproto='define'
d_mprotect='define'
d_msg='undef'
d_msg_ctrunc='undef'
d_msg_dontroute='undef'
d_msg_oob='undef'
d_msg_peek='undef'
d_msg_proxy='undef'
d_msgctl='define'
d_msgget='define'
d_msghdr_s='define'
d_msgrcv='define'
d_msgsnd='define'
d_msync='define'
d_munmap='define'
d_mymalloc='undef'
d_ndbm_h_uses_prototypes=''
d_ndbm_h_uses_prototypes='define'
d_nice='define'
d_nl_langinfo='define'
d_nv_preserves_uv='define'
d_nv_zero_is_allbits_zero='define'
d_off64_t='define'
d_old_pthread_create_joinable='undef'
d_oldpthreads='undef'
d_oldsock='undef'
d_open3='define'
d_pathconf='define'
d_pause='define'
d_perl_otherlibdirs='undef'
d_phostname='undef'
d_pipe='define'
d_poll='define'
d_portable='undef'
d_printf_format_null='define'
d_procselfexe='undef'
d_pseudofork='undef'
d_pthread_atfork='undef'
d_pthread_attr_setscope='define'
d_pthread_yield='undef'
d_pwage='undef'
d_pwchange='undef'
d_pwclass='undef'
d_pwcomment='undef'
d_pwexpire='undef'
d_pwgecos='define'
d_pwpasswd='define'
d_pwquota='undef'
d_qgcvt='undef'
d_quad='define'
d_random_r='undef'
d_readdir64_r='undef'
d_readdir='define'
d_readdir_r='undef'
d_readlink='define'
d_readv='define'
d_recvmsg='define'
d_rename='define'
d_rewinddir='define'
d_rmdir='define'
d_safebcpy='undef'
d_safemcpy='undef'
d_sanemcmp='define'
d_sbrkproto='define'
d_scalbnl='undef'
d_sched_yield='define'
d_scm_rights='undef'
d_seekdir='define'
d_select='define'
d_sem='define'
d_semctl='define'
d_semctl_semid_ds='define'
d_semctl_semun='undef'
d_semget='define'
d_semop='define'
d_sendmsg='define'
d_setegid='define'
d_seteuid='define'
d_setgrent='define'
d_setgrent_r='undef'
d_setgrps='define'
d_sethent='define'
d_sethostent_r='undef'
d_setitimer='define'
d_setlinebuf='define'
d_setlocale='define'
d_setlocale_r='undef'
d_setnent='define'
d_setnetent_r='undef'
d_setpent='define'
d_setpgid='define'
d_setpgrp2='undef'
d_setpgrp='define'
d_setprior='define'
d_setproctitle='undef'
d_setprotoent_r='define'
d_setpwent='define'
d_setpwent_r='undef'
d_setregid='define'
d_setresgid='define'
d_setresuid='define'
d_setreuid='define'
d_setrgid='undef'
d_setruid='undef'
d_setsent='define'
d_setservent_r='undef'
d_setsid='define'
d_setvbuf='define'
d_sfio='undef'
d_shm='define'
d_shmat='define'
d_shmatprototype='define'
d_shmctl='define'
d_shmdt='define'
d_shmget='define'
d_sigaction='define'
d_signbit='undef'
d_sigprocmask='define'
d_sigsetjmp='define'
d_sitearch='undef'
d_snprintf='define'
d_sockatmark='undef'
d_sockatmarkproto='define'
d_socket='define'
d_socklen_t='define'
d_sockpair='define'
d_socks5_init='undef'
d_sprintf_returns_strlen='undef'
d_sqrtl='define'
d_srand48_r='undef'
d_srandom_r='undef'
d_sresgproto='define'
d_sresuproto='define'
d_statblks='define'
d_statfs_f_flags='undef'
d_statfs_s='define'
d_statvfs='define'
d_stdio_cnt_lval='undef'
d_stdio_ptr_lval='undef'
d_stdio_ptr_lval_nochange_cnt='undef'
d_stdio_ptr_lval_sets_cnt='undef'
d_stdio_stream_array='undef'
d_stdiobase='undef'
d_stdstdio='undef'
d_strchr='define'
d_strcoll='define'
d_strctcpy='define'
d_strerrm='strerror(e)'
d_strerror='define'
d_strerror_r='undef'
d_strftime='define'
d_strlcat='define'
d_strlcpy='define'
d_strtod='define'
d_strtol='define'
d_strtold='define'
d_strtoll='define'
d_strtoq='define'
d_strtoul='define'
d_strtoull='define'
d_strtouq='define'
d_strxfrm='define'
d_suidsafe='undef'
d_symlink='define'
d_syscall='define'
d_syscallproto='define'
d_sysconf='define'
d_sysernlst=''
d_syserrlst='undef'
d_system='define'
d_tcgetpgrp='define'
d_tcsetpgrp='define'
d_telldir='define'
d_telldirproto='define'
d_time='define'
d_timegm='define'
d_times='define'
d_tm_tm_gmtoff='define'
d_tm_tm_zone='define'
d_tmpnam_r='undef'
d_truncate='define'
d_ttyname_r='undef'
d_tz_name=''
d_tzname='define'
d_u32align='undef'
d_ualarm='define'
d_umask='define'
d_uname='define'
d_union_semun='undef'
d_unordered='undef'
d_unsetenv='define'
d_usleep='define'
d_usleepproto='define'
d_ustat='define'
d_vendorarch='undef'
d_vendorbin='undef'
d_vendorlib='undef'
d_vendorscript='undef'
d_vfork='undef'
d_void_closedir='undef'
d_voidsig='define'
d_voidtty=''
d_volatile='define'
d_vprintf='undef'
d_vsnprintf='define'
d_wait4='define'
d_waitpid='define'
d_wcstombs='define'
d_wctomb='define'
d_writev='define'
d_xenix='undef'
date='date'
db_hashtype='unsigned int'
db_prefixtype='size_t'
db_version_major=''
db_version_minor=''
db_version_patch=''
defvoidused='15'
direntrytype='struct dirent'
dlext='so'
dlsrc='dl_dlopen.xs'
doublesize='8'
drand01='drand48()'
drand48_r_proto='0'
dtrace=''
dynamic_ext='ext/attributes ext/B ext/Devel-DProf ext/Devel-Peek ext/Fcntl ext/File-Glob ext/Hash-Util ext/Hash-Util-FieldHash ext/I18N-Langinfo ext/mro ext/PerlIO-encoding ext/PerlIO-scalar ext/PerlIO-via ext/POSIX ext/re ext/SDBM_File ext/Socket ext/XS-APItest-KeywordRPN cpan/Compress-Raw-Bzip2 cpan/Compress-Raw-Zlib cpan/Cwd cpan/Devel-PPPort cpan/Digest-MD5 cpan/Digest-SHA cpan/Encode cpan/Filter-Util-Call cpan/Math-BigInt-FastCalc cpan/MIME-Base64 cpan/Sys-Syslog cpan/Text-Soundex cpan/Time-HiRes cpan/Time-Piece cpan/Unicode-Normalize dist/Data-Dumper dist/IO dist/Storable dist/threads dist/threads-shared '
eagain='EAGAIN'
ebcdic='undef'
echo='echo'
egrep='egrep'
emacs=''
endgrent_r_proto='0'
endhostent_r_proto='0'
endnetent_r_proto='0'
endprotoent_r_proto='0'
endpwent_r_proto='0'
endservent_r_proto='0'
eunicefix=':'
exe_ext=''
expr=''
expr='expr'
extensions='ext/attributes ext/B ext/Devel-DProf ext/Devel-Peek ext/Fcntl ext/File-Glob ext/Hash-Util ext/Hash-Util-FieldHash ext/I18N-Langinfo ext/mro ext/PerlIO-encoding ext/PerlIO-scalar ext/PerlIO-via ext/POSIX ext/re ext/SDBM_File ext/Socket ext/XS-APItest-KeywordRPN cpan/Compress-Raw-Bzip2 cpan/Compress-Raw-Zlib cpan/Cwd cpan/Devel-PPPort cpan/Digest-MD5 cpan/Digest-SHA cpan/Encode cpan/Filter-Util-Call cpan/Math-BigInt-FastCalc cpan/MIME-Base64 cpan/Sys-Syslog cpan/Text-Soundex cpan/Time-HiRes cpan/Time-Piece cpan/Unicode-Normalize dist/Data-Dumper dist/IO dist/Storable dist/threads dist/threads-shared ext/autouse ext/Devel-SelfStubber ext/Errno ext/FileCache ext/IPC-Open2 ext/IPC-Open3 ext/Tie-Memoize ext/Time-Local cpan/Archive-Extract cpan/Archive-Tar cpan/autodie cpan/AutoLoader cpan/bignum cpan/B-Lint cpan/CGI cpan/Class-ISA cpan/CPAN cpan/CPANPLUS cpan/CPANPLUS-Dist-Build cpan/encoding-warnings cpan/ExtUtils-CBuilder cpan/ExtUtils-Command cpan/ExtUtils-Constant cpan/ExtUtils-MakeMaker cpan/ExtUtils-Manifest cpan/ExtUtils-ParseXS cpan/File-Fetch cpan/File-Path cpan/Getopt-Long cpan/IO-Compress cpan/IPC-Cmd cpan/libnet cpan/List-Util cpan/Locale-Codes cpan/Locale-Maketext-Simple cpan/Log-Message cpan/Log-Message-Simple cpan/Math-BigInt cpan/Math-BigRat cpan/Math-Complex cpan/Module-Build cpan/Module-Load cpan/Module-Load-Conditional cpan/Module-Loaded cpan/Module-Pluggable cpan/NEXT cpan/Object-Accessor cpan/Package-Constants cpan/Params-Check cpan/parent cpan/Parse-CPAN-Meta cpan/PerlIO-via-QuotedPrint cpan/Pod-Escapes cpan/podlators cpan/Pod-Parser cpan/Pod-Simple cpan/Term-UI cpan/Test cpan/Test-Harness cpan/Test-Simple cpan/Text-Balanced cpan/Text-ParseWords cpan/Text-Tabs cpan/Tie-File cpan/Tie-RefHash dist/Attribute-Handlers dist/base dist/constant dist/ExtUtils-Install dist/Filter-Simple dist/I18N-LangTags dist/lib dist/Locale-Maketext dist/Module-CoreList dist/Net-Ping dist/Pod-Perldoc dist/Safe dist/SelfLoader dist/Switch dist/Thread-Queue dist/Thread-Semaphore dist/XSLoader '
extras=''
fflushNULL='define'
fflushall='undef'
find=''
firstmakefile='Makefile'
flex=''
fpossize='24'
fpostype='fpos_t'
freetype='void'
from=':'
full_ar='ar'
full_csh='csh'
full_sed='sed'
gccansipedantic=''
gccosandvers=''
gccversion='3.4.2'
getgrent_r_proto='0'
getgrgid_r_proto='0'
getgrnam_r_proto='0'
gethostbyaddr_r_proto='0'
gethostbyname_r_proto='0'
gethostent_r_proto='0'
getlogin_r_proto='0'
getnetbyaddr_r_proto='0'
getnetbyname_r_proto='0'
getnetent_r_proto='0'
getprotobyname_r_proto='0'
getprotobynumber_r_proto='0'
getprotoent_r_proto='0'
getpwent_r_proto='0'
getpwnam_r_proto='0'
getpwuid_r_proto='0'
getservbyname_r_proto='0'
getservbyport_r_proto='0'
getservent_r_proto='0'
getspnam_r_proto='0'
gidformat='"lu"'
gidsign='1'
gidsize='4'
gidtype='gid_t'
glibpth=''
gmake='gmake'
gmtime_r_proto='0'
gnulibc_version=''
grep='grep'
groupcat='cat /etc/group'
groupstype='gid_t'
gzip='gzip'
h_fcntl='false'
h_sysfile='true'
hint='default'
hostcat='cat /etc/hosts'
html1dir='/var/mounts/sda1/opt/perl/share/doc/perl/html'
html1direxp='/var/mounts/sda1/opt/perl/share/doc/perl/html'
html3dir='/var/mounts/sda1/opt/perl/share/doc/perl/html'
html3direxp='/var/mounts/sda1/opt/perl/share/doc/perl/html'
i16size='2'
i16type='int16_t'
i32size='4'
i32type='int32_t'
i64size='8'
i64type='int64_t'
i8size='1'
i8type='int8_t'
i_arpainet='define'
i_assert='define'
i_bsdioctl='undef'
i_crypt='define'
i_db='undef'
i_dbm='undef'
i_dirent='define'
i_dld='undef'
i_dlfcn='define'
i_fcntl='define'
i_float='define'
i_fp='undef'
i_fp_class='undef'
i_gdbm='undef'
i_gdbm_ndbm='undef'
i_gdbmndbm='undef'
i_grp='define'
i_ieeefp='undef'
i_inttypes='define'
i_langinfo='define'
i_libutil='undef'
i_limits='define'
i_locale='define'
i_machcthr='undef'
i_malloc='define'
i_mallocmalloc='undef'
i_math='define'
i_memory='define'
i_mntent='define'
i_ndbm='undef'
i_netdb='define'
i_neterrno='undef'
i_netinettcp='define'
i_niin='define'
i_poll='define'
i_prot='undef'
i_pthread='undef'
i_pwd='define'
i_rpcsvcdbm='undef'
i_sfio='undef'
i_sgtty='define'
i_shadow='define'
i_socks='undef'
i_stdarg='define'
i_stddef='define'
i_stdlib='define'
i_string='define'
i_sunmath='undef'
i_sysaccess='undef'
i_sysdir='define'
i_sysfile='define'
i_sysfilio='undef'
i_sysin='undef'
i_sysioctl='define'
i_syslog='define'
i_sysmman='define'
i_sysmode='undef'
i_sysmount='define'
i_sysndir='undef'
i_sysparam='define'
i_syspoll='define'
i_sysresrc='define'
i_syssecrt='undef'
i_sysselct='define'
i_syssockio='undef'
i_sysstat='define'
i_sysstatfs='define'
i_sysstatvfs='define'
i_systime='define'
i_systimek='undef'
i_systimes='define'
i_systypes='define'
i_sysuio='define'
i_sysun='define'
i_sysutsname='define'
i_sysvfs='define'
i_syswait='define'
i_termio='define'
i_termios='define'
i_time='define'
i_unistd='define'
i_ustat='define'
i_utime='define'
i_values='define'
i_varargs='undef'
i_varhdr='stdarg.h'
i_vfork='undef'
ignore_versioned_solibs=''
inc_version_list=''
inc_version_list_init=''
incpath=''
inews=''
initialinstalllocation=''
installarchlib='/var/mounts/sda1/opt/perl/lib/perl/arch'
installbin='/var/mounts/sda1/opt/perl/bin'
installhtml1dir='/var/mounts/sda1/opt/perl/share/doc/perl/html'
installhtml1dir='/var/mounts/sda1/opt/perl/share/doc/perl/html'
installhtml3dir='/var/mounts/sda1/opt/perl/share/doc/perl/html'
installhtml3dir='/var/mounts/sda1/opt/perl/share/doc/perl/html'
installlibsdirs=''
installman1dir='/var/mounts/sda1/opt/perl/share/man/man1'
installman1ext='1'
installman3dir='/var/mounts/sda1/opt/perl/share/man/man3'
installman3ext='3'
installotherlibdirs=''
installprefix=''
installprefixexp=''
installprivlib='/var/mounts/sda1/opt/perl/lib/perl'
installscript='/var/mounts/sda1/opt/perl/bin'
installscriptdir='/var/mounts/sda1/opt/perl/bin'
installsitearch=''
installsitebin=''
installsitehtml1dir='/var/mounts/sda1/opt/perl/share/doc/perl/html'
installsitehtml3dir='/var/mounts/sda1/opt/perl/share/doc/perl/html'
installsitelib=''
installsiteman1dir='/var/mounts/sda1/opt/perl/share/man/man1'
installsiteman3dir='/var/mounts/sda1/opt/perl/share/man/man3'
installsitescript=''
installstyle='lib/perl5'
installusrbinperl='define'
installvendorarch=''
installvendorbin=''
installvendorhtml1dir='/var/mounts/sda1/opt/perl/share/doc/perl/html'
installvendorhtml3dir='/var/mounts/sda1/opt/perl/share/doc/perl/html'
installvendorlib=''
installvendorman1dir='/var/mounts/sda1/opt/perl/share/man/man1'
installvendorman3dir='/var/mounts/sda1/opt/perl/share/man/man3'
installvendorscript=''
intsize='4'
issymlink='test -h'
ivdformat='"ld"'
ivsize='4'
ivtype='long'
known_extensions=''
ksh=''
ld='/opt/toolchains/uclibc-crosstools/bin/mips-uclibc-ld'
lddlflags='-shared '
ldflags=''
ldflags_uselargefiles=''
ldlibpthname='LD_LIBRARY_PATH'
less='less'
lib_ext='.a'
libc=''
libperl='libperl.a'
libpth=''
libs=' -lm -lcrypt -ldl'
libsdirs=' '
libsfiles=''
libsfound=''
libspath=''
libswanted=''
libswanted_uselargefiles=''
line=''
lint=''
lkflags=''
ln='ln'
lns='ln -s'
localtime_r_proto='0'
locincpth=''
loclibpth=''
longdblsize='8'
longlongsize='8'
longsize='4'
lp=''
lpr=''
ls='ls'
lseeksize='8'
lseektype='off_t'
mad='undef'
madlyh=''
madlyobj=''
madlysrc=''
mail=''
mailx=''
make='make'
make_set_make='#'
mallocobj=''
mallocsrc=''
malloctype='void*'
man1dir='/var/mounts/sda1/opt/perl/share/man/man1'
man1direxp='/var/mounts/sda1/opt/perl/share/man/man1'
man1ext='1'
man3dir='/var/mounts/sda1/opt/perl/share/man/man3'
man3direxp='/var/mounts/sda1/opt/perl/share/man/man3'
man3ext='3'
mips_type=''
mistrustnm=''
mkdir='mkdir'
mmaptype='void *'
modetype='mode_t'
more='more'
multiarch='undef'
mv=''
myarchname=''
mydomain=''
myhostname='debian'
myuname='mips-linux'
n='Sys-Hostname'
n='Sys-Hostname'
need_va_copy='undef'
netdb_hlen_type='socklen_t'
netdb_host_type='const void *'
netdb_name_type='int'
netdb_net_type='uint32_t'
nm='nm'
nm_opt=''
nm_so_opt=''
nonxs_ext='ext/autouse ext/Devel-SelfStubber ext/Errno ext/FileCache ext/IPC-Open2 ext/IPC-Open3 ext/Tie-Memoize ext/Time-Local cpan/Archive-Extract cpan/Archive-Tar cpan/autodie cpan/AutoLoader cpan/bignum cpan/B-Lint cpan/CGI cpan/Class-ISA cpan/CPAN cpan/CPANPLUS cpan/CPANPLUS-Dist-Build cpan/encoding-warnings cpan/ExtUtils-CBuilder cpan/ExtUtils-Command cpan/ExtUtils-Constant cpan/ExtUtils-MakeMaker cpan/ExtUtils-Manifest cpan/ExtUtils-ParseXS cpan/File-Fetch cpan/File-Path cpan/Getopt-Long cpan/IO-Compress cpan/IPC-Cmd cpan/libnet cpan/List-Util cpan/Locale-Codes cpan/Locale-Maketext-Simple cpan/Log-Message cpan/Log-Message-Simple cpan/Math-BigInt cpan/Math-BigRat cpan/Math-Complex cpan/Module-Build cpan/Module-Load cpan/Module-Load-Conditional cpan/Module-Loaded cpan/Module-Pluggable cpan/NEXT cpan/Object-Accessor cpan/Package-Constants cpan/Params-Check cpan/parent cpan/Parse-CPAN-Meta cpan/PerlIO-via-QuotedPrint cpan/Pod-Escapes cpan/podlators cpan/Pod-Parser cpan/Pod-Simple cpan/Term-UI cpan/Test cpan/Test-Harness cpan/Test-Simple cpan/Text-Balanced cpan/Text-ParseWords cpan/Text-Tabs cpan/Tie-File cpan/Tie-RefHash dist/Attribute-Handlers dist/base dist/constant dist/ExtUtils-Install dist/Filter-Simple dist/I18N-LangTags dist/lib dist/Locale-Maketext dist/Module-CoreList dist/Net-Ping dist/Pod-Perldoc dist/Safe dist/SelfLoader dist/Switch dist/Thread-Queue dist/Thread-Semaphore dist/XSLoader '
nroff='nroff'
nvEUformat='"E"'
nvFUformat='"F"'
nvGUformat='"G"'
nv_overflows_integers_at='256.0*256.0*256.0*256.0*256.0*256.0*2.0*2.0*2.0*2.0*2.0'
nv_preserves_uv_bits='32'
nveformat='"e"'
nvfformat='"f"'
nvgformat='"g"'
nvsize='8'
nvtype='double'
o_nonblock='O_NONBLOCK'
obj_ext='.o'
objdump='/opt/toolchains/uclibc-crosstools/bin/mips-uclibc-objdump'
old_pthread_create_joinable='PTHREAD_CREATE_JOINABLE'
optimize=''
orderlib=''
osname='linux'
osvers='current'
otherlibdirs=' '
package='perl5'
pager='less'
passcat='cat /etc/passwd'
patchlevel=''
path_sep=':'
perl5=''
perl=''
perl_patchlevel=''
perladmin='nobody@nowhere.land'
perllibs=''
perlpath='/var/mounts/sda1/opt/perl/bin/perl'
pg='pg'
phostname='hostname'
pidtype='pid_t'
plibpth=''
pmake=''
pr=''
prefix='/var/mounts/sda1/opt/perl'
prefixexp='/var/mounts/sda1/opt/perl'
privlib='/var/mounts/sda1/opt/perl/lib/perl'
privlibexp='/var/mounts/sda1/opt/perl/lib/perl'
procselfexe='"/proc/self/exe"'
prototype='define'
ptrsize='4'
quadkind='QUAD_IS_INT64_T'
quadtype='int64_t'
randbits='48'
randfunc='drand48'
random_r_proto='0'
randseedtype='long'
ranlib='/opt/toolchains/uclibc-crosstools/bin/mips-uclibc-ranlib'
rd_nodata='-1'
readdir64_r_proto='0'
readdir_r_proto='0'
rm='rm'
rm_try=''
rmail=''
run=''
runnm='false'
sGMTIME_max='2147483647'
sGMTIME_min='-2147483648'
sLOCALTIME_max='2147483647'
sLOCALTIME_min='-2147483648'
sPRIEUldbl='"LE"'
sPRIFUldbl='"LF"'
sPRIGUldbl='"LG"'
sPRIXU64='"LX"'
sPRId64='"Ld"'
sPRIeldbl='"Le"'
sPRIfldbl='"Lf"'
sPRIgldbl='"Lg"'
sPRIi64='"Li"'
sPRIo64='"Lo"'
sPRIu64='"Lu"'
sPRIx64='"Lx"'
sSCNfldbl='"Lf"'
sched_yield='sched_yield()'
scriptdir='/var/mounts/sda1/opt/perl/bin'
scriptdirexp='/var/mounts/sda1/opt/perl/bin'
sed='sed'
seedfunc='srand48'
selectminbits='32'
selecttype='fd_set *'
sendmail=''
setgrent_r_proto='0'
sethostent_r_proto='0'
setlocale_r_proto='0'
setnetent_r_proto='0'
setprotoent_r_proto='0'
setpwent_r_proto='0'
setservent_r_proto='0'
sh='/bin/sh'
shar=''
sharedir='/var/mounts/sda1/opt/perl/share'
sharpbang='#!'
shmattype='void *'
shortsize='2'
shrpenv=''
shsharp='true'
sig_count='128'
sig_name='ZERO SIGHUP SIGINT SIGQUIT SIGILL SIGTRAP SIGABRT SIGBUS SIGFPE SIGKILL SIGUSR1 SIGSEGV SIGUSR2 SIGPIPE SIGALRM SIGTERM SIGCHLD SIGCONT SIGSTOP SIGTSTP SIGTTIN SIGTTOU SIGURG SIGXCPU SIGXFSZ SIGVTALRM SIGPROF SIGWINCH SIGIO SIGPWR SIGSYS SIGIOT SIGCLD SIGPOLL'
sig_name_init='"ZERO", "HUP", "INT", "QUIT", "ILL", "TRAP", "ABRT", "BUS", "FPE", "KILL", "USR1", "SEGV", "USR2", "PIPE", "ALRM", "TERM", "CHLD", "CONT", "STOP", "TSTP", "TTIN", "TTOU", "URG", "XCPU", "XFSZ", "VTALRM", "PROF", "WINCH", "IO", "PWR", "SYS", "IOT", "CLD", "POLL", 0'
sig_num='0 1 2 3 4 5 6 10 8 9 16 11 17 13 14 15 18 25 23 24 26 27 21 30 31 28 29 20 22 19 12 6 18 22'
sig_num_init='0, 1, 2, 3, 4, 5, 6, 10, 8, 9, 16, 11, 17, 13, 14, 15, 18, 25, 23, 24, 26, 27, 21, 30, 31, 28, 29, 20, 22, 19, 12, 6, 18, 22'
sig_size='34'
signal_t='void'
sitearch=''
sitearchexp=''
sitebin=''
sitebinexp=''
sitehtml1dir='/var/mounts/sda1/opt/perl/share/doc/perl/html'
sitehtml1direxp='/var/mounts/sda1/opt/perl/share/doc/perl/html'
sitehtml3dir='/var/mounts/sda1/opt/perl/share/doc/perl/html'
sitehtml3direxp='/var/mounts/sda1/opt/perl/share/doc/perl/html'
sitelib=''
sitelib_stem=''
sitelibexp=''
siteman1dir='/var/mounts/sda1/opt/perl/share/man/man1'
siteman1direxp='/var/mounts/sda1/opt/perl/share/man/man1'
siteman3dir='/var/mounts/sda1/opt/perl/share/man/man3'
siteman3direxp='/var/mounts/sda1/opt/perl/share/man/man3'
siteprefix=''
siteprefixexp=''
sitescript=''
sitescriptexp=''
sizesize='4'
sizetype='size_t'
sleep=''
smail=''
so='so'
sockethdr=''
socketlib=''
socksizetype='socklen_t'
sort='sort'
spackage='Perl5'
spitshell='cat'
srand48_r_proto='0'
srandom_r_proto='0'
src='/opt/bcm963xx_router/userapps/roleo'
ssizetype='ssize_t'
startperl='#!/var/mounts/sda1/opt/perl/bin/perl'
startsh='#!/bin/sh'
static_ext=''
stdchar='char'
stdio_base=''
stdio_bufsiz=''
stdio_bufsize=''
stdio_cnt=''
stdio_filbuf=''
stdio_ptr=''
stdio_stream_array=''
strerror_r_proto='0'
strings=''
submit=''
subversion=''
sysman=''
tail=''
tar=''
tbl=''
tee=''
test='test'
timeincl=''
timetype='time_t'
tmpnam_r_proto='0'
to=':'
touch='touch'
tr='tr'
trnl='\n'
troff=''
ttyname_r_proto='0'
u16size='2'
u16type='uint16_t'
u32size='4'
u32type='uint32_t'
u64size='8'
u64type='uint64_t'
u8size='1'
u8type='uint8_t'
uidformat='"lu"'
uidsign='1'
uidsize='4'
uidtype='uid_t'
uname='uname'
uniq='uniq'
uquadtype='uint64_t'
use5005threads='undef'
use64bitall='undef'
use64bitint='undef'
usecrosscompile='define'
usedevel='undef'
usedl='define'
usedtrace='undef'
usefaststdio='undef'
useithreads='undef'
uselargefiles='define'
uselongdouble='undef'
usemallocwrap='define'
usemorebits='undef'
usemultiplicity='undef'
usemymalloc='n'
usenm='false'
useopcode='false'
useperlio='define'
useposix='true'
usereentrant='undef'
userelocatableinc='undef'
usesfio='false'
useshrplib='false'
usesitecustomize='undef'
usesocks='undef'
usethreads='undef'
usevendorprefix='undef'
usevfork='false'
usrinc=''
uuname=''
uvXUformat='"lX"'
uvoformat='"lo"'
uvsize='4'
uvtype='unsigned long'
uvuformat='"lu"'
uvxformat='"lx"'
vaproto='define'
vendorarch=''
vendorarchexp=''
vendorbin=''
vendorbinexp=''
vendorhtml1dir='/var/mounts/sda1/opt/perl/share/doc/perl/html'
vendorhtml1direxp='/var/mounts/sda1/opt/perl/share/doc/perl/html'
vendorhtml3dir='/var/mounts/sda1/opt/perl/share/doc/perl/html'
vendorhtml3direxp='/var/mounts/sda1/opt/perl/share/doc/perl/html'
vendorlib=''
vendorlib_stem=''
vendorlibexp=''
vendorman1dir='/var/mounts/sda1/opt/perl/share/man/man1'
vendorman1direxp='/var/mounts/sda1/opt/perl/share/man/man1'
vendorman3dir='/var/mounts/sda1/opt/perl/share/man/man3'
vendorman3direxp='/var/mounts/sda1/opt/perl/share/man/man3'
vendorprefix=''
vendorprefixexp=''
vendorscript=''
vendorscriptexp=''
version='5.12.3'
version_patchlevel_string='version 12 subversion 3'
versiononly='undef'
vi=''
voidflags='15'
xlibpth=''
yacc='yacc'
yaccflags=''
zcat=''
zip='zip'
!END!

my $i = 0;
foreach my $c (4,3,2) { $i |= ord($c); $i <<= 8 }
$i |= ord(1);
our $byteorder = join('', unpack('aaaa', pack('L!', $i)));
s/(byteorder=)(['"]).*?\2/$1$2$Config::byteorder$2/m;

my $config_sh_len = length $_;

our $Config_SH_expanded = "\n$_" . << 'EOVIRTUAL';
ccflags_nolargefiles='-I/opt/toolchains/uclibc-crosstools/include/c++/3.4.2     -I/opt/toolchains/uclibc-crosstools/mips-linux/sys-include  -D_POSIX_C_SOURCE -D_XOPEN_SOURCE -D_GNU_SOURCE -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64'
ldflags_nolargefiles=''
libs_nolargefiles=' -lm -lcrypt -ldl'
libswanted_nolargefiles=''
EOVIRTUAL
eval {
	# do not have hairy conniptions if this isnt available
	require 'Config_git.pl';
	$Config_SH_expanded .= $Config::Git_Data;
	1;
} or warn "Warning: failed to load Config_git.pl, something strange about this perl...\n";

# Search for it in the big string
sub fetch_string {
    my($self, $key) = @_;

    # We only have ' delimted.
    my $start = index($Config_SH_expanded, "\n$key=\'");
    # Start can never be -1 now, as we've rigged the long string we're
    # searching with an initial dummy newline.
    return undef if $start == -1;

    $start += length($key) + 3;

    my $value = substr($Config_SH_expanded, $start,
                       index($Config_SH_expanded, "'\n", $start)
		       - $start);
    # So we can say "if $Config{'foo'}".
    $value = undef if $value eq 'undef';
    $self->{$key} = $value; # cache it
}

my $prevpos = 0;

sub FIRSTKEY {
    $prevpos = 0;
    substr($Config_SH_expanded, 1, index($Config_SH_expanded, '=') - 1 );
}

sub NEXTKEY {
    my $pos = index($Config_SH_expanded, qq('\n), $prevpos) + 2;
    my $len = index($Config_SH_expanded, "=", $pos) - $pos;
    $prevpos = $pos;
    $len > 0 ? substr($Config_SH_expanded, $pos, $len) : undef;
}

sub EXISTS {
    return 1 if exists($_[0]->{$_[1]});

    return(index($Config_SH_expanded, "\n$_[1]='") != -1
          );
}

sub STORE  { die "\%Config::Config is read-only\n" }
*DELETE = \&STORE;
*CLEAR  = \&STORE;


sub config_sh {
    substr $Config_SH_expanded, 1, $config_sh_len;
}

sub config_re {
    my $re = shift;
    return map { chomp; $_ } grep eval{ /^(?:$re)=/ }, split /^/,
    $Config_SH_expanded;
}

sub config_vars {
    # implements -V:cfgvar option (see perlrun -V:)
    foreach (@_) {
	# find optional leading, trailing colons; and query-spec
	my ($notag,$qry,$lncont) = m/^(:)?(.*?)(:)?$/;	# flags fore and aft, 
	# map colon-flags to print decorations
	my $prfx = $notag ? '': "$qry=";		# tag-prefix for print
	my $lnend = $lncont ? ' ' : ";\n";		# line ending for print

	# all config-vars are by definition \w only, any \W means regex
	if ($qry =~ /\W/) {
	    my @matches = config_re($qry);
	    print map "$_$lnend", @matches ? @matches : "$qry: not found"		if !$notag;
	    print map { s/\w+=//; "$_$lnend" } @matches ? @matches : "$qry: not found"	if  $notag;
	} else {
	    my $v = (exists $Config::Config{$qry}) ? $Config::Config{$qry}
						   : 'UNKNOWN';
	    $v = 'undef' unless defined $v;
	    print "${prfx}'${v}'$lnend";
	}
    }
}

# Called by the real AUTOLOAD
sub launcher {
    undef &AUTOLOAD;
    goto \&$Config::AUTOLOAD;
}

1;
